/*------------------------------------------------------------------------
----- PAGES
------------------------------------------------------------------------ */
/* COLLECTIONS - LIST --- */
.collections-list {
	display: grid;
	grid-row-gap: 32px;

	@include breakpoint(xs) {
		grid-template-columns: 1fr 1fr;
		grid-column-gap: $margin;
	}

	.collection {
		position: relative;
		display: grid;


		@include breakpoint(xs) {

			&:nth-of-type(odd) {
				margin-bottom: 20%;

				.collection__img {
					order: 2;
				}
				h2 {
					order: 1;
				}
			}

			&:nth-of-type(even) {
				margin-top: 20%;
			}
		}
		@include breakpoint(md) {
			grid-template-columns: 1fr 1fr;
			align-items: flex-start;
		}


		h2 {
			margin-bottom: 0;
			padding: 24px;
			background-color: $bg-primary;
			line-height: 1.15;

			a {
				color: $color-light;

				&::after {
					position: absolute;
					content: '';
					top: 0;
					bottom: 0;
					left: 0;
					right: 0;
				}
			}
		}
	}

}
.collection {

	&__img {
		display: flex;
		flex-flow: column wrap;
		align-items: center;
		justify-content: center;			
		background-color: lighten($bg-primary, 50%);
		overflow: hidden;

		@include breakpoint(xs) {
			aspect-ratio: 11 / 8;
		}

		img {
			object-fit: cover;
		}
	}
}

/* COLLECTION SINGLE ----------------------------------------------- */
.collections.show {

	#main-content > .wrap {
		position: relative;
		margin-top: 40px;
		padding-top: 24px;
		overflow: hidden;

		&::after {
			@include yellow-line;
			top: 0;
			right: 0;
			width: 300px;
			height: 15px;
		}
	}
}

.collection {

	&__header {		
		position: relative;
		display: flex;
		flex-flow: row wrap;
		align-items: flex-start;
		justify-content: space-between;
		margin-top: 40px;
		margin-bottom: 64px;

			&::after {
				content: '';
				display: block;
				height: 48px;
				width: 1200px;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				background-image: url(img/bg-collection-header.png);
				background-color: transparent;
				background-repeat: no-repeat;
				background-size: contain;
			}


		h1 {
			z-index: 2;
			flex-basis: $two-thirds;
			
			margin-right: calc(#{$one-half} - #{$two-thirds});
			margin-top: 64px;
			margin-bottom: 0;
			padding: 24px;
			background-color: rgba($bg-primary, 0.95);
			line-height: 1.15;
			color: $color-light;

			&::after {
				content: none;
			}
		}

		.collection__img {
			position: relative;
			z-index: 1;
			flex-basis: $one-half;
			aspect-ratio: 18 / 13;
		}

		&--description {
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-areas: 'title image' 'description image';
			margin-bottom: 32px;

			&::after {
				top: 28px;
				transform: translate(-50%, 0);
			}
			h1 {
				grid-area: title;
				margin-top: 10px;
			}
			.collection__img {
				grid-area: image;
			}
		}
	}
	&__description {
		grid-area: description;
	}

	&__informations {
		margin-bottom: 48px;

		@include breakpoint(sm) {
			margin-bottom: 64px;
		}
	}
}
/* ACCORDION  ---------------------------- */

.collection__informations .accordion-content {
	display: none;
	background-color: $bg-form;
	padding: 16px;

	@include breakpoint(xs) {
		padding: 24px;
	}
	@include breakpoint(sm) {
		padding: 32px;
	}

	.element-set {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-column-gap: $margin;
		grid-row-gap: 16px;
	}
	.element {
		display: flex;
		flex-flow: row wrap;
		align-items: flex-end;
		column-gap: $margin;


		h3,
		.element-text {
			margin-bottom: 0;
			line-height: 1.25;
		}
		h3 {
			text-transform: uppercase;
			font-weight: 600;
			font-size: 1em;
		}
	}
	.element-text {
		display: inline-block;

		&:not(:last-of-type) {

			&::after {
				content: '•';
				padding-left: 6px;
			}
		}
	}
}
.accordion-content .accordion-content {
	display: block;
}
.generic-accordion {

	.accordion-header {
		text-align: center;
	}
	.accordion-header > .accordion-title {
		position: relative;
		display: inline-block;
		padding: 8px 40px 8px 0;
		margin: 0;
		border-bottom: 2px solid $bg-border;
		cursor: pointer;
		line-height: 1.15;		

		&::after {			
			content: "";
			position: absolute;
			top: 0;
			display: block;
			height: 100%;
			width: 28px;
			background-repeat: no-repeat;
			background-position: center;
			background-size: 22px;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 140 70'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M139.72 0 69.88 69.86 0 0'/%3E%3C/svg%3E");
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 140 70'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M139.72 0 69.88 69.86 0 0'/%3E%3C/svg%3E");
			right: 8px;

			@include transition;

			@include breakpoint(xs) {
				right: 0;
			}
		}
	}

	.active-header > .accordion-title {

		&::after {
			transform: rotate(-180deg);
		}
	}
}

.items-list {
	display: grid;
	grid-row-gap: 24px;

	@include breakpoint(sm) {
		grid-template-columns: 1fr 1fr;
		grid-column-gap: $margin;
	}

	.item {
		position: relative;
		display: grid;
		grid-template-columns: 1fr 3fr;
		grid-column-gap: $margin;
		padding: 16px 16px 16px 0;
		border-bottom: 2px solid $bg-border;
		@include transition;

		&::after,
		&::before {
			@include yellow-line;
			width: 80%;
			height: 7px;
			background-color: transparent;
		}
		&::before {
			right: 0;
		}
		&::after {
			bottom: 0;
			left: 8%;
		}

		&:hover,
		&:focus-within {
			background-image: linear-gradient(to right, $bg-body 0%, $bg-body 8%,$bg-primary 8%, $bg-primary 100%);
			border-bottom-color: $bg-body;
			color: $color-light;

			&::before,
			&::after {
				background-color: $bg-tertiary;
			}
		}

		&__img {
			position: relative;
			z-index: 2;
			aspect-ratio: 2 / 3;
			overflow: hidden;
			display: flex;
			flex-direction: column;
		}

		&__content {
			font-family: $font-headings;

			.label {
				font-family: $font-family;
				font-weight: 500;
				text-transform: uppercase;
			}
		}
		&__title {
			line-height: 1.15;

			a {

				&:hover,
				&:focus {
					color: $color-light;
				}

				&::after {
					content: '';
					position: absolute;
					top: 0;
					bottom: 0;
					left: 0;
					right: 0;
				}
			}
		}
	}
	&__title {
		position: relative;
		padding-bottom: 24px;		
		margin-bottom: 24px;
		border-bottom: 2px solid $bg-border;		
		text-align: center;
		line-height: 1.15;
		font-size: 1.35em;

		&::before {
			@include yellow-line;
			bottom: -7px;
			width: 300px;
			height: 7px;
		}
	}
}


/* ----- ITEMS
------------------------------------------------------------------------ */
.item.show {

	.item__title {
		position: relative;
		margin-top: 2em;
		padding-left: 0;		
		font-weight: 400;

		@include breakpoint(sm) {
			width: calc(100% - calc( 48px + #{$margin}) );
			padding-right: 166px;
		}
		@include breakpoint(md) {
			padding-right: 166px;
		}
		@include breakpoint(lg) {
			padding-left: $one-sixth / 2;
			padding-right: 316px;
		}
		@include breakpoint(xl) {
			padding-left: $one-fifth / 2;
		}

		&::after {
			position: absolute;
			bottom: 0;
			right: 0;			
			display: block;
			width: 150px;
			height: 15px;
			background-color: $bg-tertiary;						

			@include breakpoint(sm) {
				content: "";
			}
			@include breakpoint(md) {
				width: 150px;
			}
			@include breakpoint(lg) {
				bottom: auto;
				top: 50%;
				transform: translateY(-50%);
				width: 300px;
			}
		}
	}
}
.item-contents {

	.item__rights,
	.item__source,
	.item__file {		
		padding-left: 32px;

		&:not(:last-child) {
			margin-bottom: 16px;
		}

		.item__label {
			position: relative;

			&::before {
				position: absolute;
				left: -32px;
				top: -8px;
				display: block;
				content: '';
				height: 32px;
				width: 22px;
				background-size: 22px;
				background-repeat: no-repeat;
				background-position: center;
			}
		}
	}
	.item__rights .item__label::before {
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 175 180'%3E%3Cg transform='matrix(.97 0 0 1.02 -27.37 .26)'%3E%3Cpath fill='none' d='M28.15-.26h179.98v176.88H28.15z'/%3E%3CclipPath id='a'%3E%3Cpath d='M28.15-.26h179.98v176.88H28.15z'/%3E%3C/clipPath%3E%3Cg clip-path='url(%23a)'%3E%3Cpath fill='none' stroke='%2300a1f3' d='M-4.96 9.97H0V-4.96h-14.93V-.5' transform='matrix(0 8.19 8.57 0 80.04 167.21)'/%3E%3Cpath fill='%2300a1f3' d='M203 9.18H75.03v122.26h127.95z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
	}
	.item__source .item__label::before {
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 149 181'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M148.96 180.72H0V53.47L76.4 0l72.56 53.47v127.25Z'/%3E%3C/svg%3E");
	}
	.item__file .item__label::before {
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 175 180'%3E%3Cg transform='matrix(.97 0 0 1.02 -27.37 .26)'%3E%3Cpath fill='none' d='M28.15-.26h179.98v176.88H28.15z'/%3E%3CclipPath id='a'%3E%3Cpath d='M28.15-.26h179.98v176.88H28.15z'/%3E%3C/clipPath%3E%3Cg clip-path='url(%23a)'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='m46.68 76.93 78.55 71.23 74.64-71.23H46.67Z'/%3E%3Cpath fill='none' stroke='%2300a1f3' d='M0 0h20.83' transform='matrix(8.57 0 0 8.19 28.9 158.64)'/%3E%3Cpath fill='%2300a1f3' d='M90.19 17.72h66.16v63.22H90.2z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
	}
	.item__label {
		font-weight: 500;
		text-transform: uppercase;
	}
	&__main-block {
		position: relative;
		overflow: hidden;

		&.right-panel-open {

			.right-panel {
				transform: translate3d(0,0,0);
			}

			.button-open {
				display: none;
			}
			.button__right-panel .button-close {
				display: flex;
			}
		}

		&--nomedia {
			display: grid;

			@include breakpoint(sm) {
				grid-template-columns: 1fr 1fr;
				grid-column-gap: $margin;
			}
			@include breakpoint(md) {
				grid-template-columns: 3fr 2fr;
			}

			.item-contents__viewer {
				width: 100%;

				@include breakpoint(sm) {
					display: grid;
					grid-template-rows: 1fr auto;
				}

				.item-external-media-link,
				.item-no-media {
					display: grid;
					grid-template-rows: 1fr auto;
					align-items: center;
					height: 350px;
					background: url(img/default_bg.jpg) no-repeat center;
					background-size: cover;

					@include breakpoint(sm) {
						height: auto;
					}

					.message {
						max-width: 80%;
						padding: 8px 16px;
						background-color: $bg-primary;
						text-transform: uppercase;
						line-height: 1.15;
						font-size: 1.125em;
						color: $color-light;

						@include breakpoint(sm) {
							padding: 16px 64px 16px 16px;
						}
						@include breakpoint(md) {
							padding: 16px 96px 16px 24px;
						}
						@include breakpoint(lg) {
							max-width: 550px;
							padding-right: 24px 128px 24px 32px;
						}
					}
					.button {
						margin-left: auto;
						margin-right: auto;
						margin-top: auto;
					}
				}
			}
			.item-contents__general {

				&-container {
					height: 100%;
					overflow-y: auto;
				}			

				&.right-panel {
					position: initial;
					height: auto;
					width: 100%;
					max-width: $maxwidth-sm;
					@include margins;
					transform: none;
					@include transition;
					padding-top: 24px;
					padding-bottom: 24px;

					@include breakpoint(sm) {
						padding-top: 48px;
						padding-bottom: 48px;
					}
				}
				.button__right-panel {
					display: none;
				}
				.item-contents__block {
					margin-left: 12px;
					margin-right: 12px;
					padding-left: 16px;

					@include breakpoint(xs) {
						margin-left: 12px;
						margin-right: 12px;
						padding: 24px;
					}
					@include breakpoint(sm) {
						margin-left: 32px;
						margin-right: 0;
						padding-left: 0;
					}
					@include breakpoint(md) {
						margin-left: 64px;
					}
				}
			}
		}
	}

	&__viewer {
		width: calc(100% - calc( 36px + #{$margin}) );

		@include breakpoint(sm) {
			width: calc(100% - calc( 48px + #{$margin}) );
		}
	}
	&__rights {
		padding: 16px;
		background-color: $bg-form;

		@include breakpoint(xs) {
			padding: 24px;
		}
		@include breakpoint(sm) {
			padding: 32px;
		}
	}

	&__general {
		background-color: $bg-light;

		&-container {
				display: flex;
				flex-flow: column nowrap;
				height: calc(100% - 36px);
				overflow-y: auto;
  				scrollbar-width: thin;

  				&::scrollbar-track {
  					background-color: yellow;
  				}
  				&::scrollbar-thumb {
					box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
				}
				&::-webkit-scrollbar-track {
					border-radius: 3px;
					background-color: $bg-form;
					box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
				}

				&::-webkit-scrollbar {
					width: 12px;
					background-color: $bg-form;
				}

				&::-webkit-scrollbar-thumb {
					border-radius: 3px;
					box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
					background-color: $bg-primary;
				}
			}

		&.right-panel {
			position: absolute;
			z-index: 50;
			top: 0;
			right: 0;
			height: 100%;
			width: 90%;
			transform: translate3d( calc(100% - 36px),0,0);
			@include transition;

			@include breakpoint(sm) {
				width: 80%;
				transform: translate3d( calc(100% - 48px),0,0);
			}
			@include breakpoint(md) {
				width: $one-half;
			}
			@include breakpoint(lg) {
				width: $three-fifths;
			}
			@include breakpoint(xl) {
				width: $two-fifths;
			}
		}

		.button__right-panel {
			display: flex;
			align-items: center;
			padding: 0;
			background-color: transparent;
			color: $color-accent;
			box-shadow: none;

			@include breakpoint(sm) {
				padding-left: 8px;
			}

			&:hover span,
			&:focus span {
				border-color: $bg-secondary;
				box-shadow: inset 0 0 0 2px $bg-secondary;
			}

			span {
				position: relative;
				display: flex;
				align-items: center;
				width: max-content;
				height: 36px;
				padding-left: 48px;
				padding-right: 12px;
				background-color: transparent;
				border: 1px solid transparent;
				@include transition;

				&::before {
					position: absolute;
					top: 0;
					content: '';
					display: block;
					width: 36px;
					height: 36px;
					background-repeat: no-repeat;
					background-size: 16px;
					background-position: center;
					
				}
			}
			.button-open {
				margin-top: -32px;
				transform: rotate(90deg);
				transform-origin: bottom left;

				&::before {
					left: 0;
					background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 116 232'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M115.6 231.2 0 115.6 115.6 0v231.2Z'/%3E%3C/svg%3E");
					transform: rotate(-90deg);
				}
			}
			.button-close {
				display: none;

				@include breakpoint(sm) {
					margin-left: -8px;
				}

				&::before {
					top: -1px;
					left: -1px;
					background-color: $bg-secondary;
					background-size: 28px;
					background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 245 245'%3E%3Cpath fill='none' stroke='%23fff' stroke-width='8.33' d='m41.87 41.87 160.99 160.99M41.87 202.86 202.86 41.88'/%3E%3C/svg%3E");
				}
			}
		}
	}
	
	&__block {
		margin-left: 48px;
		padding: 16px 16px 16px 0;

		&:not(:last-of-type) {
			border-bottom: 3px solid $bg-body;
		}

		@include breakpoint(sm) {
			margin-left: 64px;
			padding: 24px 24px 24px 0;
		}
		@include breakpoint(lg) {
			padding: 32px 32px 32px 0;
		}
	}
	&__correction-panel {
		margin-top: auto;

		.corrections.item-contents__block {
			padding-bottom: 0;
			padding-left: 0;
			text-align: center;
		}
	}
	&__aside {
		position: relative;
		max-width: $maxwidth-sm;
		@include margins;
		margin-top: 96px;
		padding: 16px;
		background-image: url(img/bg_item_seealso.jpg);
		background-repeat: no-repeat;
		background-position: center;
		background-size: cover;
		text-align: center;

		@include breakpoint(xs) {
			padding: 24px;
		}
		@include breakpoint(sm) {
			padding: 32px;
		}
		@include breakpoint(md) {
			padding: 64px;
			margin-top: 128px;
		}

		&::before {
			@include yellow-line;
			top: -32px;
			left: 50%;
			transform: translateX(-50%);
			width: 250px;
			height: 15px;
		}

		h2 {
			margin-bottom: 32px;
			font-size: 1.3em;
			font-weight: 400;
			font-weight: 500;
		}

		a {
			font-family: $font-family-2;
			font-size: 1.125em;
			@include content-links;
		}
	}
	&__plugin {
		position: relative;
		margin-top: 96px;
		padding: 16px;
		text-align: center;

		&::before {
			@include yellow-line;
			background-color: $bg-light;
			top: -32px;
			left: 50%;
			transform: translateX(-50%);
			width: 250px;
			height: 15px;
		}
	}
}


/* ----- SIMPLE PAGES
------------------------------------------------------------------------ */
.login,
.register,
.corrections
.simple-page article {

	h1 {
		margin-bottom: 48px;

		&:after {
			right: auto;
			top: auto;
			bottom: -16px;
			left: -48px;
		}
	}
}
.simple-page article,
.corrections .item-contents {

	h2 {
		position: relative;
		max-width: calc( 100% - 40px);
		margin-bottom: 32xp;
		padding-left: 32px;
		font-weight: 400;

		&::after {
			@include yellow-line;
			height: 15px;
			width: 26px;
			top: 50%;
			right: -40px;
			transform: translateY(-50%);
		}
	}
	h1 + h2 {
		margin-top: 96px;
	}
	h3 {
		padding-left: 32px;
		padding-right: 32px;
		text-align: center;
	}
	h4 {
		margin-bottom: 16px;
	}
	h4,
	p,
	ul {
		max-width: $maxwidth-xs;
		@include margins;
	}

	/* Chapo --- */
	h1 + p {
		font-family: $font-headings;
		font-size: 1.25em;
		text-align: center;
	}

	a {
		@include content-links;
	}
	p[style*="right"] > a:only-child {
		position: relative;
		text-transform: uppercase;
		font-weight: bold;
		font-family: $font-family-2;
		color: $color-secondary;
		box-shadow: inset 0 -7px 0 0 lighten($bg-secondary-cpl, 20%);

		&::after {
			content: '>';
			padding-left: 8px;
		}

		&:hover,
		&:focus {
			box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
		}
	}
	img {
		max-width: max-content;
	}
	a > img {
		margin-bottom: -1px;
		background-color: $bg-body;

		&:hover {
			@include box-shadow-sm;
		}
	}
	// éviter les styles de lien sur les liens qui contiennent une image - ne fonctionne que sur Safari et Chrome
	a:has(img) {
		display: inline-block;
		padding: 6px;
		box-shadow: none;
		border: 0;

		&:hover,
		&:focus {
			@include box-shadow-sm;
		}
		img {
			margin-bottom: 0;
			background-color: transparent;

			&:hover {
				box-shadow: none;
			}
		}
	}
	hr {
		height: 7px;
		width: 200px;
		margin-top: 40px;
		margin-bottom: 40px;
		@include margins;
		background-color: $bg-light;
		border: 0;
	}
}
.simple-page[id*="parcours-de-lecture"] article {

	a {
		position: relative;
		text-transform: uppercase;
		font-weight: bold;
		font-family: $font-family-2;
		color: $color-secondary;
		box-shadow: inset 0 -7px 0 0 lighten($bg-secondary-cpl, 20%);

		&::after {
			content: '>';
			padding-left: 8px;
		}

		&:hover,
		&:focus {
			box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
			color: $color-global;
		}
	}
}

/* ----- CORRECTIONS - CONTRIBUTION
------------------------------------------------------------------------ */

body.corrections {

	.field-meta {
		display: flex;
		justify-content: space-between;
	}

	.element-correction {
		padding-top: 24px;
		border-bottom: 0;
		border-top: 8px solid $bg-body;

		&:last-of-type {
			margin-bottom: 24px;
		}

		label {
			font-family: $font-family-2;
			font-size: 1.25em;
		}
		.explanation {
			margin-top: 12px;
		}
	}
	.correction-submit {
		text-align: center;
	}

	.correction-current-data {
		margin-top: 0;
		margin-bottom: 24px;
		padding: 16px;
		background-color: $bg-border;
		border: 0;

		p {
			margin: 0;
		}

		&__label {
			font-size: 1.125em;
			font-weight: 500;
		}

		&__content {
			margin-top: 8px;
		}
	}
	.add-element {
		position: relative;
		padding: 4px 32px 4px 8px;
		background-color: lighten($bg-secondary-cpl, 20%);
		font-family: $font-family-2;
		font-size: 0.9em;
		color: darken($color-secondary, 10%);

		&::after {
			content: '';
			display: block;
			height: 18px;
			width: 18px;
			position: absolute;
			right: 8px;
			top: 50%;
			transform: translateY(-50%);
			background-color: $bg-secondary;
			background-repeat: no-repeat;
			background-size: 12px;
			background-position: center;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linecap='round' stroke-linejoin='round' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 168 168'%3E%3Cpath fill='none' stroke='%23fff' stroke-width='24.990000000000002' d='M83.5 12.5v142.02M12.5 83.5h142.02'/%3E%3C/svg%3E");
		}

		&:hover,
		&:focus {
			box-shadow: inset 0 -60px 0 0 lighten($bg-tertiary, 20%);
			color: $color-accent;
		}
	}
}
#contribution-type-form {
	margin-top: 32px;

	.field {
		display: grid;
		grid-template-columns: 1fr 2fr;
		grid-column-gap: $margin;

		@include breakpoint(xs) {
			grid-template-columns: 1fr 3fr;
		}
		@include breakpoint(sm) {
			grid-template-columns: 1fr 4fr;
		}
		@include breakpoint(md) {
			grid-template-columns: 1fr 4fr;
		}
		& > div.inputs.columns {
			width: 100%;

			input {
				width: 100%;
			}
		}

	}
}
#contribution-confirm-submit {

		input[type="radio"],
		input[type="checkbox"] {
			top: 5px;
		}/*
		a {
			@include content-links;
		}*/
}

body.corrections,
body.contribution {

	#primary,
	#main-content {

		a {
			@include content-links;
		}
		.explanation {
			margin-bottom: 6px;
			font-size: 0.95em;
			line-height: 1.25;
			font-style: italic;
		}
	}
	#primary form,
	#main-content form {
		padding: 16px;
		background-color: $bg-form;

		@include breakpoint(sm) {
			padding: 24px;
		}

		label {
			display: inline-block;
			margin-bottom: 12px;
			line-height: 1.15;
			font-weight: 500;
		}
		select {
			width: 100%;
			height: auto;
		}
	}
}

/* ----- REGISTER / LOGIN PAGES
------------------------------------------------------------------------ */
.register,
.login {

	main a {
		@include content-links;
	}
	.field {
		position: relative;
	}
	label,
	input[type='text'],
	input[type="email"],
	input[type="number"],
	input[type="password"],
	input[type="tel"],
	input[type="time"],
	input[type="url"] {
		width: 100%;
	}
	.inputs {
		margin-bottom: 32px;

		input[type='text'],
		input[type="email"],
		input[type="number"],
		input[type="password"],
		input[type="tel"],
		input[type="time"],
		input[type="url"] {
			width: 100%;
		}	
	}
	#remember-label {
		margin-left: 24px;
		margin-bottom: 24px;

		& + .inputs {
			position: absolute;
			top: 0;
			left: 0;
			margin-bottom: 0;

			input[type='checkbox'] {
				vertical-align: middle;
			}
		}
	}
}
.register {

	.two.columns,
	.five.columns {
		width: 100%;
		margin-right: 0;
		margin-left: 0;

		p {
			margin-bottom: 4px;
		}
	}
}




/* a voir si necessaire ------------------------------------------------ */

/*.collections .element {
	margin-bottom: 20px;
}

#collection-items {

	.item {
		border-bottom: 1px solid $bg-border;
		padding: 20px 0;
		overflow: hidden;
		width: 100%;

		&:last-child { 
			border-bottom: 0;
		}
	}

	.item-description { 
		line-height: 1.5em; 
	}

	a.view-items-link {
		margin: $spacing-unit 0;
		display: inline-block;
		background-color: #000;
		color: #fff;
		padding: (.25 * $spacing-unit);
		border-bottom: 0;
	}
}

.browse {
	
	.item {
		overflow: hidden;
		border-top: 1px solid $bg-border;
		padding: $spacing-unit 0;

		&:last-of-type { 
			border-bottom: 0; 
		}
	}
}

.items {
	line-height: 1.5em;

	.element { 
		margin-bottom: 20px;
	}
}

.tags li { 
	display:inline;
}

#item-content img {
	padding: 5px; 
	border: 1px solid $bg-border; 
	margin-bottom: 2em;
}

#featured-item h3 { 
	clear: both; 
}

.items-list li {
	border-bottom: 1px solid $bg-border; 
	margin-bottom: 1.33333em;
}

#itemfiles {
	overflow: auto;

	&::after {
		content: "";
		display: block;
		height: 0;
		width: 100%;
		clear: both;
	}

	a {
		float: left;
		margin-right: $margin;
		overflow: visible;
		border-bottom: 0;
		margin-bottom: $spacing-unit;
		box-sizing: border-box;
		height: (5 * $spacing-unit);

		img {
			border: 1px solid $bg-border;
			max-height: 100%;
		}
	}
}

.browse .collection {
	clear: both;
	border-top: 1px solid $bg-border;
	padding-top: $spacing-unit - 1px;

	.view-items-link {
		display: inline-block;
		margin-bottom: $spacing-unit;
	}
}

.collection .element {
	margin-bottom: 0;
}

.element-div { 
	margin-bottom: 32px; 
}*/